> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve one opportunity

> Returns an opportunity



## OpenAPI

````yaml get /consumers/{consumer_id}/invoicing/opportunities/{opportunity_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/invoicing/opportunities/{opportunity_id}:
    get:
      tags:
        - Invoicing
        - Opportunities
      summary: Retrieve one opportunity
      description: Returns an opportunity
      operationId: invoicing_get_opportunity
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: opportunity_id
          in: path
          required: true
          schema:
            type: string
            title: Opportunity Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpportunityItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              example:
                message: The opportunity doesn't exist.
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - invoicing
            - invoicing.read
            - invoicing.opportunities
            - invoicing.opportunities.read
components:
  schemas:
    OpportunityItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        name:
          type: string
          title: Name
          description: Name
        total:
          type: number
          title: Total
          description: Total
        probability:
          type: number
          title: Probability
          description: Probability of success
        status:
          $ref: '#/components/schemas/OpportunityStatus'
          description: Status
        partner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Partner Id
          description: Technical id of the customer in Chift
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Comment
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency matching target sofware name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description
        pipe_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipe Status
          description: Current stage in pipeline
        pipe_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipe Name
          description: Pipeline name
        created_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Created Date
          description: Date creation
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Due Date
          description: Due Date
        end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End Date
          description: End Date
        is_won:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Won
          description: Is won?
        owner_ref:
          anyOf:
            - $ref: '#/components/schemas/FieldRef'
            - type: 'null'
          description: Employee/User
      type: object
      required:
        - id
        - source_ref
        - name
        - total
        - probability
        - status
      title: OpportunityItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    OpportunityStatus:
      type: string
      enum:
        - open
        - won
        - lost
        - cancelled
        - closed
      title: OpportunityStatus
    FieldRef:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Value the field in the target software
      type: object
      title: FieldRef
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````